Subject: Re: [PATCH 2/3] reflog: call reflog_delete from reflog.c

From: Junio C Hamano <[email-masked]>
Date: Fri, 18 Feb 2022 12:26:10 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> Maybe others will disagree, but per my comment on 1/2 I found reviewing
> this locally much easier with this squashed into 1/2 (without the {}
> changes I suggested).

Oh, I am pretty much on the same page.

The if() block has to retain {} after all but not for the reason you
cite (i.e. help "diff --color-moved"), but for correctness reasons
it has to have some "early return to avoid using NULL" to replace
"continue", which means the body of the if() statement needs to stay
a two statement block.